For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
DocsAPI Reference
DocsAPI Reference
  • API Reference
      • GETAdvanced search for Assets
      • POSTAdvanced search for Assets
      • POSTBulk copy assets
      • DELBulk delete assets
      • POSTCopy asset
      • POSTCreate an Asset
      • DELDelete an Asset
      • GETFetch child Assets
      • GETGet an Asset
      • GETGet audio for an Asset
      • GETGet the subtitles for an Asset
      • POSTMove asset
      • POSTRequest upload URLs for real-time upload
      • GETSearch for Assets
      • POSTSearch for Assets
      • DELUnversion an Asset
      • PUTUpdate an Asset
      • POSTVersion an Asset

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceAssets

Get audio for an Asset

Deprecated
GET
https://api.frame.io/v2/assets/:asset_id/audio
GET
/v2/assets/:asset_id/audio
1import requests
2
3url = "https://api.frame.io/v2/assets/asset_id/audio"
4
5headers = {"Authorization": "Bearer <token>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
1{
2 "_type": "asset_audio",
3 "audio_tracks": [
4 "https://frameio-app.com/audio_track/2mgz5-tj39md",
5 "https://frameio-app.com/audio_track/5masj-135md"
6 ],
7 "id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa"
8}
Fetch the audio tracks for a given Asset
Was this page helpful?
Previous

Get the subtitles for an Asset

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

asset_idstringRequiredformat: "uuid"

Response

Asset audio response
_typeenum
Allowed values:
audio_trackslist of strings
idstringformat: "uuid"

Errors

401
Unauthorized Error
404
Not Found Error